gnutls_x509_crq_get_private_key_usage_period(3)

NAME
gnutls_x509_crq_get_private_key_usage_period - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_private_key_usage_period(gnutls_x509_crq_t crq, time_t* activation, time_t* expiration, unsigned int * critical);

ARGUMENTS

gnutls_x509_crq_t crq
    -- undescribed --

time_t* activation
    The activation time

time_t* expiration
    The expiration time

unsigned int * critical
    the extension status

DESCRIPTION
This function will return the expiration and activation times of the private key of the certificate.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/